set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories (${CMAKE_CURRENT_SOURCE_DIR}/..)

########### next target ###############
set(sun_test_SRCS sun_test.cpp ../sun.cpp )


kde4_add_executable(sun_test TEST ${sun_test_SRCS})

target_link_libraries(sun_test  ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} )

########### next target ###############
set(stationdatabase_test_SRCS stationdatabase_test.cpp ../stationdatabase.cpp )


kde4_add_executable(stationdatabase_test TEST ${stationdatabase_test_SRCS})

target_link_libraries(stationdatabase_test  ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} )

########### next target ###############

set(metar_parser_test_SRCS 
   metar_parser_test.cpp 
   ../metar_parser.cpp 
   ../stationdatabase.cpp 
   ../sun.cpp )


kde4_add_executable(metar_parser_test TEST ${metar_parser_test_SRCS})

target_link_libraries(metar_parser_test  ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} )

